## ros-melodic-ridgeback-description 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ridgeback_description)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

install(DIRECTORY meshes launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/env_run
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/description.launch)
endif()

=== debian/changelog ===
ros-melodic-ridgeback-description (0.3.0-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.3-1stretch) stretch; urgency=high

  * [ridgeback_description] Removing namespace arg.
  * Add namespace to gazebo plugin, it works well in multi robots case now
  * Contributors: Tony Baltovski, yizheng

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-ridgeback-description (0.2.2-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.1-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.0-1stretch) stretch; urgency=high

  * Changed to in-order xacro parsing
  * Updated rolling window for odom responsiveness.  Minor changes to control and urdf syntax for kinetic
  * Updated to Package format 2.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.10-1stretch) stretch; urgency=high

  * Updated the visual meshes to make them lighter and prettier.  More accurate collision mesh made for tight areas
  * Used sick-s300 xacro for simulation.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.9-1stretch) stretch; urgency=high

  * Fixed malformed stl meshes.
  * Reduced gyroscopes noise.
  * Reverted dimensions of chassis collision mesh to allow laser rays out.
  * Added Sick S300 laser and Microstrain IMU upgrade accessories.
  * Updated material properties for Ridgeback.
  * Fixed IMU offset.
  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.8-1stretch) stretch; urgency=high

  * Added environment variable to set the robot configuration and empty configuration.
  * Added cmd_vel timeout for force based move plugin.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.7-1stretch) stretch; urgency=high

  * Removed unused mesh.
  * Uncommented RIDGEBACK_URDF_EXTRAS include.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.6-1stretch) stretch; urgency=high

  * Added params for hector_gazebo_plugins/gazebo_ros_force_based_move.
  * Using ros_force_based_move from ridgeback_simulator.
  * Fixed xacro xmlns declaration and added Hokuyo minimun intensity.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.5-1stretch) stretch; urgency=high

  * Added support for Hokuyo URG-10LX.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.4-1stretch) stretch; urgency=high

  * Added lms1xx as run dependency.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.3-1stretch) stretch; urgency=high

  * Updated URDF for physical changes.
  * Simulation using gazebo_ros_force_based_move.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.2-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.1-1stretch) stretch; urgency=high

  * Added manufacturer to laser environment variables.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.0-1stretch) stretch; urgency=high

  * Initial ridgeback description release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

## ros-melodic-ridgeback-description 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(ridgeback_description)
 
 find_package(catkin REQUIRED COMPONENTS roslaunch)

=== debian/changelog ===
ros-melodic-ridgeback-description (0.3.2-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-melodic-ridgeback-description (0.3.1-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 12 Jan 2022 05:00:00 -0000

ros-melodic-ridgeback-description (0.3.0-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.3-1bionic) bionic; urgency=high

  * [ridgeback_description] Removing namespace arg.
  * Add namespace to gazebo plugin, it works well in multi robots case now
  * Contributors: Tony Baltovski, yizheng

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-ridgeback-description (0.2.2-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.1-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-description (0.2.0-1bionic) bionic; urgency=high

  * Changed to in-order xacro parsing
  * Updated rolling window for odom responsiveness.  Minor changes to control and urdf syntax for kinetic
  * Updated to Package format 2.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.10-1bionic) bionic; urgency=high

  * Updated the visual meshes to make them lighter and prettier.  More accurate collision mesh made for tight areas
  * Used sick-s300 xacro for simulation.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.9-1bionic) bionic; urgency=high

  * Fixed malformed stl meshes.
  * Reduced gyroscopes noise.
  * Reverted dimensions of chassis collision mesh to allow laser rays out.
  * Added Sick S300 laser and Microstrain IMU upgrade accessories.
  * Updated material properties for Ridgeback.
  * Fixed IMU offset.
  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.8-1bionic) bionic; urgency=high

  * Added environment variable to set the robot configuration and empty configuration.
  * Added cmd_vel timeout for force based move plugin.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.7-1bionic) bionic; urgency=high

  * Removed unused mesh.
  * Uncommented RIDGEBACK_URDF_EXTRAS include.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.6-1bionic) bionic; urgency=high

  * Added params for hector_gazebo_plugins/gazebo_ros_force_based_move.
  * Using ros_force_based_move from ridgeback_simulator.
  * Fixed xacro xmlns declaration and added Hokuyo minimun intensity.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.5-1bionic) bionic; urgency=high

  * Added support for Hokuyo URG-10LX.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.4-1bionic) bionic; urgency=high

  * Added lms1xx as run dependency.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-description (0.1.3-1bionic) bionic; urgency=high

  * Updated URDF for physical changes.
  * Simulation using gazebo_ros_force_based_move.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.2-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.1-1bionic) bionic; urgency=high

  * Added manufacturer to laser environment variables.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-description (0.1.0-1bionic) bionic; urgency=high

  * Initial ridgeback description release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ridgeback-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ridgeback-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-lms1xx, ros-melodic-robot-state-publisher, ros-melodic-urdf, ros-melodic-xacro
Description: URDF robot description for Ridgeback

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ridgeback-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
